Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Loyalty

  • Create loyalty account

  • Search loyalty accounts

  • Retrieve loyalty account

  • Accumulate loyalty points

  • Adjust loyalty points

  • Search loyalty events

  • Retrieve loyalty program

  • Calculate loyalty points

  • List loyalty promotions

  • Create loyalty promotion

  • Retrieve loyalty promotion

  • Cancel loyalty promotion

  • Create loyalty reward

  • Search loyalty rewards

  • Delete loyalty reward

  • Retrieve loyalty reward

  • Redeem loyalty reward

  • Webhooks

  • loyalty.account.created

  • loyalty.account.deleted

  • loyalty.account.updated

  • loyalty.event.created

  • loyalty.program.created

  • loyalty.program.updated

  • loyalty.promotion.created

  • loyalty.promotion.updated

<- Loyalty API

Loyalty API

All versions ->

Retrieve loyalty promotion

GET

 /v2/loyalty/programs/{program_id}/promotions/{promotion_id}

Retrieves a loyalty promotion.

Permissions:LOYALTY_READ

Guide

Retrieve loyalty promotions

Try in API Explorer
Link to section

Path parameters

Example code

Link to section

promotion_id

string

Required

The ID of the loyalty promotion to retrieve.

Link to section

program_id

string

Required

The ID of the base loyalty program. To get the program ID, call RetrieveLoyaltyProgram using the main keyword.

Link to section

Response fields

Link to section

errors

Any errors that occurred during the request.

Link to section

loyalty_promotion

The retrieved loyalty promotion.

Link to section

Examples

All versions ->

GET /v2/loyalty/programs/{program_id}/promotions/{promotion_id}
curl https://connect.squareup.com/v2/loyalty/programs/d619f755-2d17-41f3-990d-c04ecedd64dd/promotions/loypromo_f0f9b849-725e-378d-b810-511237e07b67 \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{ "loyalty_promotion": { "id": "loypromo_f0f9b849-725e-378d-b810-511237e07b67", "name": "Tuesday Happy Hour Promo", "incentive": { "type": "POINTS_MULTIPLIER", "points_multiplier_data": { "multiplier": "3.000", "points_multiplier": 3 } }, "available_time": { "start_date": "2022-08-16", "time_periods": [ "BEGIN:VEVENT\nDTSTART:20220816T160000\nDURATION:PT2H\nRRULE:FREQ=WEEKLY;BYDAY=TU\nEND:VEVENT" ] }, "trigger_limit": { "times": 1, "interval": "DAY" }, "minimum_spend_amount_money": { "amount": 2000, "currency": "USD" }, "qualifying_item_variation_ids": [ "CJ3RYL56ITAKMD4VRCM7XERS", "AT3RYLR3TUA9C34VRCB7X5RR" ], "status": "ACTIVE", "created_at": "2022-08-16T08:38:54Z", "updated_at": "2022-08-16T08:38:54Z", "loyalty_program_id": "d619f755-2d17-41f3-990d-c04ecedd64dd" } }